> For the complete documentation index, see [llms.txt](https://docs.searchagora.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.searchagora.com/additional-resources/all-products-sold-by-a-brand.md).

# All products sold by a brand

POST `/brand`

This endpoint lets you to get all products for a specific brand. You can find all brands on Agora [here](https://www.searchagora.com/brands).&#x20;

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Query parameters**

| Parameter | Type   | Description                                                               |
| --------- | ------ | ------------------------------------------------------------------------- |
| `page`    | string | Pagination of 20 results for the brand. Pagination number (e.g. 1, 2, 3). |

**Request body**

```json
{
    "query": "brand name"
}
```

**Response**

```json
{
  "status": "success",
  "Products": [
    {
      "agoraScore": 92,
      "available": false,
      "averageRating": 0,
      "brand": "Nike",
      "discountVal": "0",
      "externalProductId": "7911445037245",
      "id": "67ef8376f7ecc16a2fff63e4",
      "images": [
        "https://cdn.shopify.com/s/files/1/0573/2984/4413/files/MSGBYZ1703_D.jpg?v=1736350221",
        "https://cdn.shopify.com/s/files/1/0573/2984/4413/files/MSGBYZ1703_A.jpg?v=1736350221"
      ],
      "isActive": true,
      "mongoDb": "67ef8376f7ecc16a2fff63e4",
      "name": "Youth 2024-25 Knicks Josh Hart CITY EDITION Jersey",
      "price": "99.00",
      "slug": "youth-2024-25-knicks-josh-hart-city-edition-jersey-a83314fe-b80f-49f1-8808-b79221bb876a-1743750006086",
      "source": "shopify",
      "storeName": "Shop Madison Square Garden",
      "url": "https://shop.msg.com/products/youth-2024-25-knicks-josh-hart-city-edition-jersey",
      "_id": "67ef8376f7ecc16a2fff63e4"
    },
    {
      "agoraScore": 92,
      "available": false,
      "averageRating": 0,
      "brand": "Nike",
      "discountVal": "0",
      "externalProductId": "8083676856602",
      "id": "6845df6cfb0ab063abe4b8b3",
      "images": [
        "https://cdn.shopify.com/s/files/1/0708/9730/3834/files/Blush-Pink-Nike-Dunk-Low-Replacement-Shoelaces.png?v=1749315205",
        "https://cdn.shopify.com/s/files/1/0708/9730/3834/files/Blush-Pink-Nike-Dunk-Low-Replacement-Shoelaces-2.png?v=1749315205"
      ],
      "isActive": true,
      "mongoDb": "6845df6cfb0ab063abe4b8b3",
      "name": "Blush Pink Nike Dunk Low Replacement Shoelaces",
      "price": "7.99",
      "slug": "blush-pink-nike-dunk-replacement-shoelaces-11f7c78d-3677-4183-9555-e37f164ad0b5-1749409644926",
      "source": "shopify",
      "storeName": "Bullseye Sneaker Boutique (Capital City Plaza)",
      "url": "https://bullseyepa.com/products/blush-pink-nike-dunk-replacement-shoelaces",
      "_id": "6845df6cfb0ab063abe4b8b3"
    },
    {
      "agoraScore": 92,
      "available": false,
      "averageRating": 0,
      "brand": "Nike",
      "discountVal": "0",
      "externalProductId": "7787004264624",
      "id": "6836e2af707eda6dab2eabe6",
      "images": [
        "https://cdn.shopify.com/s/files/1/0579/6891/8704/files/ann5489-dark-smoke-gray-black_1.jpg?v=1739254039",
        "https://cdn.shopify.com/s/files/1/0579/6891/8704/files/ann5489-dark-smoke-gray-black_2.jpg?v=1739254039",
        "https://cdn.shopify.com/s/files/1/0579/6891/8704/files/ann5489-dark-smoke-gray-black_3.jpg?v=1739254039",
        "https://cdn.shopify.com/s/files/1/0579/6891/8704/files/ann5489-dark-smoke-gray-black_4.jpg?v=1739254039",
        "https://cdn.shopify.com/s/files/1/0579/6891/8704/files/ann5489-dark-smoke-gray-black_5.jpg?v=1739254039",
        "https://cdn.shopify.com/s/files/1/0579/6891/8704/files/ann5489-dark-smoke-gray-black_6.jpg?v=1739254039",
        "https://cdn.shopify.com/s/files/1/0579/6891/8704/files/ann5489-dark-smoke-gray-black_7.jpg?v=1739254039"
      ],
      "isActive": true,
      "mongoDb": "6836e2af707eda6dab2eabe6",
      "name": "Nike Tour 8\" Chino Golf Shorts Dark Smoke Gray/Black - FW24 Men",
      "price": "71.99",
      "slug": "nike-tour-8-chino-golf-shorts-dark-smoke-gray-black-fw24-men-2b279d3c-c5dc-4e55-8e1a-8b4cef732000-1748427439111",
      "source": "shopify",
      "storeName": "Golfio",
      "url": "https://golfio.com/products/nike-tour-8-chino-golf-shorts-dark-smoke-gray-black-fw24-men",
      "_id": "6836e2af707eda6dab2eabe6"
    }
  ],
  "hasMore": true,
  "count": 50412
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.searchagora.com/additional-resources/all-products-sold-by-a-brand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
